package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PacoteDescontoBilhete;

public class RenderPacoteDescontoBilhete implements ListitemRenderer {
	
	private static final DecimalFormat DF = new DecimalFormat("#,##00.00");

	public void render(Listitem lstm, Object o) throws Exception {

		PacoteDescontoBilhete pacoteDescontoBilhete = (PacoteDescontoBilhete) o;

		Listcell lc = new Listcell(pacoteDescontoBilhete.getPacotedescontobilheteId().toString());
		lc.setParent(lstm);

		lc = new Listcell(pacoteDescontoBilhete.getClaseServicio().getDescclase());
		lc.setParent(lstm);

		lc = new Listcell(DF.format(pacoteDescontoBilhete.getPercdesconto()) != null ? DF.format(pacoteDescontoBilhete.getPercdesconto()) : "");
		lc.setParent(lstm);

		lstm.setAttribute("data", pacoteDescontoBilhete);
	}

}
